Package ru.bitel.bgbilling.modules.npay.server.bean

# Class NpayDetailDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.npay.server.bean.NpayDetailDao

public class NpayDetailDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NpayDetailDao(Connection con, int moduleId, Date date)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createTable()`
  `void`
  `delete(List<Integer> contractIds, List<Integer> serviceIds)`
  `void`
  `insert(ru.bitel.bgbilling.modules.npay.server.calculate.AmountDetailCache amountDetailCache)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NpayDetailDao

    public NpayDetailDao(Connection con, int moduleId, Date date)

- ## Method Details

  - ### createTable

    public void createTable() throws SQLException
    Throws:
      `SQLException`

  - ### delete

    public void delete(List<Integer> contractIds, List<Integer> serviceIds) throws SQLException
    Throws:
      `SQLException`

  - ### insert

    public void insert(ru.bitel.bgbilling.modules.npay.server.calculate.AmountDetailCache amountDetailCache) throws SQLException
    Throws:
      `SQLException`